## org.apache.fop.messaging
Interface MessageListener

All Known Implementing Classes:
  DefaultMessageListener, PreviewDialog

public interface MessageListener

For situations, where the messages Fop directs to the user have to be handled in some special way, the interface MessageListener and the class MessageEvent are provided. Embedding Fop into a graphical user interface could be such a scenario.
Any MessageListener listens for MessageEvents, which contain the user message and also the message type information (progress information or error warning). The class DefaultMessageListener shows an trivial implementation of MessageListener.

Method Summary
`void` `processMessage(MessageEvent event)`

Method Detail

### processMessage

    public void processMessage(MessageEvent event)

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.